Subject: bug#24317: 25.1.50; image-dired-rotate-original: regexp doesn't match .jpeg suffix

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Aug 2016 15:55:22 +0300

> From: Tino Calancha <[email-masked]>
> Date: Sat, 27 Aug 2016 21:18:37 +0900 (JST)
> cc: Thien-Thi Nguyen <[email-masked]>, [email-masked], 
>     [email-masked]
> 
> > That is better, yes.  Except that
> >
> >  (let ((case-fold-search)) (image-type-from-file-name "foo.JPEG"))
> >    => nil
> >
> > So I guess that function needs a minor change to be more robust.
> That's right.  It wuld be worth take a look on 
> 'image-type-from-file-name'.
> 
> I have corrected previous patch.  I drop expand-file-name from
> 'image-dired-jpeg-file-p'.  I also corrected the extra paren mentioned
> before.
> If people is happy with it i will apply this patch.

I think we should indeed use image-type instead of having yet another
function that recognizes JPEG.  The problem I pointed out should be
fixed in image-type-from-file-name, regardless.

Sorry this wasn't clear enough from what I wrote before.